Cantera 2.6.0

Protected Member Functions | Protected Attributes | List of all members
XML_Error Class Reference

Class representing a generic XML error condition. More...

Inheritance diagram for XML_Error:
[legend]
Collaboration diagram for XML_Error:
[legend]

## Protected Member Functions
| XML_Error (const std::string &file, int line)
| Constructor. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual | ~XML_Error () throw ()
| destructor More...
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information. More...
| CanteraError (const std::string &procedure)
| Constructor used by derived classes that override getMessage() More...

## Protected Attributes
std::string | m_msg
| String message for the error. More...
Protected Attributes inherited from CanteraError
std::string | procedure_
| The name of the procedure where the exception occurred. More...
std::string | formattedMessage_
| Formatted message returned by what() More...

## Additional Inherited Members
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const std::string &procedure, const std::string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class. More...
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing. More...
const char * | what () const throw ()
| Get a description of the error. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...

## Detailed Description

Class representing a generic XML error condition.

Definition at line 27 of file xml.cpp.

## Constructor & Destructor Documentation

## ◆ XML_Error()

XML_Error | ( | const std::string & | file,
|  | int | line
| ) |  |
| inline protected

Constructor.

Note, we don't actually post the error in this class. Therefore, this class can't be used externally. Therefore, it's a protected constructor.

Parameters

  file | Name of the XML file being processed
  line | Number number where the error occurred.

Definition at line 38 of file xml.cpp.

References XML_Error::m_msg.

## ◆ ~XML_Error()

virtual ~XML_Error | ( |  | ) |
throw | ( |
| ) |  |
| inline protected virtual

destructor

Definition at line 47 of file xml.cpp.

## Member Function Documentation

## ◆ getMessage()

virtual std::string getMessage | ( |  | ) | const
| inline protected virtual

Method overridden by derived classes to format the error message.

Reimplemented from CanteraError.

Definition at line 42 of file xml.cpp.

References XML_Error::m_msg.

## Member Data Documentation

## ◆ m_msg

std::string m_msg
| protected

String message for the error.

Definition at line 51 of file xml.cpp.

Referenced by XML_Error::getMessage(), XML_Error::XML_Error(), XML_NoChild::XML_NoChild(), and XML_TagMismatch::XML_TagMismatch().

The documentation for this class was generated from the following file:

- xml.cpp